Subject: Re: [PATCH v1 net-next 00/14] udp: Farewell to UDP-Lite.

From: Kuniyuki Iwashima <[email-masked]>
Date: Tue, 30 May 2023 18:01:30 -0700

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 May 2023 15:14:01 -0700
> On Tue, 30 May 2023 16:16:20 -0400 Willem de Bruijn wrote:
> > Is it a significant burden to keep the protocol, in case anyone is
> > willing to maintain it?
> > 
> > If consensus is that it is time to remove, a warning may not be
> > sufficient for people to notice.
> > 
> > Perhaps break it, but in a way that can be undone trivially,
> > preferably even without recompiling the kernel. Say, returning
> > EOPNOTSUPP on socket creation, unless a sysctl has some magic
> > non-deprecated value. But maybe I'm overthinking it. There must be
> > prior art for this?
> 
> It may be the most intertwined feature we attempted to remove.
> UFO was smaller, right?
> 
> Did deprecation warnings ever work? 
> 
> How about we try to push a WARN_ONCE() on socket creation to net and
> stable? With a message along the lines of "UDP lite is assumed to have
> no users, and is been deleted, please contact netdev@.."
> 
> Then delete the whole thing in net-next? Hopefully pushing to stable
> would expedite user reports? We'll find out if Greg throws rotten fruit
> at us or not..

Yes, if it's ok, it would be better to add a WARN_ONCE() to stable.

If we added it only in net-next, no one might notice it and we could
remove UDP-Lite before the warning is available in the next LTS stable
tree.